Summary: The public release version of the GateD routing daemon.
Name: gated
Version: 3.6
Release: 3
Copyright: distributable
Group: System Environment/Daemons
Source0: ftp://ftp.gated.org/net-research/gated/gated-3-6.tar.gz
Source1: gated-3.5.10-init
Source2: gated-conf-3.5.11.tar.gz
Source3: gated-docs-3.5.11.tar.gz
Source4: gated-man-3.5.11.tar.gz
Source5: gated-3.5.10-gated.conf
Patch0: gated-3.5.11-rh70.patch
Patch1: gated-3.6-noscram.patch
Patch2: gated-3.6-installfix.patch
Buildroot: %{_tmppath}/%{name}-root
Prereq: /sbin/chkconfig /etc/init.d
Url: http://www.gated.org/

%description
GateD is a modular software program consisting of core services, a
routing database, and protocol modules which support multiple routing
protocols (RIP v1, v2), OSPF, ISIS, SLSP, BGP (v3, v4), and EGP.
GateD is designed to handle dynamic routing with a routing database
built from the information exchanged by routing protocols.

Install gated if you need a routing daemon.

%prep
%setup -q -n gated-public-3_6 -a 2 -a 3 -a 4
%patch0 -p1 -b .rh70
%patch1 -p1 -b .noscram
%patch2 -p1 -b .installfix

%build
%configure --enable-dist \
	    --enable-inet \
	    --enable-bgp \
	    --enable-egp \
	    --enable-icmp \
	    --enable-rip \
	    --enable-ospf \
	    --enable-rdisc

make depend

# this stuff is all screwed up
make || :

make -C src/smux
make -C src/krt
make -C src/krt_os
make -C src/krt_multi
make -C src/gii
make -C src/icmp
make -C src/inet
make -C src/ospf
make -C src/rdisc
make -C src/rip
make -C src/gatedcompat
make

%install
rm -fr %{buildroot}

%makeinstall

mkdir -p %{buildroot}/etc/rc.d/init.d
install -c -m 0755 %SOURCE1 %{buildroot}/etc/rc.d/init.d/gated

mkdir -p %{buildroot}%{_mandir}/man8
install man/*8 %{buildroot}%{_mandir}/man8

mkdir -p %{buildroot}%{_bindir}
install src/ripquery/ripquery %{buildroot}%{_bindir}
install src/ospf_monitor/ospf_monitor %{buildroot}%{_bindir}

# sample config file
cp %{SOURCE5} ./gated.conf.sample

%post
/sbin/ldconfig
/sbin/chkconfig --add gated

%preun
if [ $1 = 0 ] ; then
    /sbin/chkconfig --del gated
    service gated stop >/dev/null 2>&1
fi

%postun
if [ "$1" -ge "1" ]; then
  service gated condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
%config /etc/rc.d/init.d/gated
%{_bindir}/ospf_monitor
%{_sbindir}/gated

%doc CHANGES README VERSION gated.conf.sample
%doc conf doc

%clean
rm -rf %{buildroot}

%changelog
* Sat Jul 15 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Preston Brown <pbrown@redhat.com>
- gated 3.6 public
- include configs and man pages from old gated; they are missing from archive.
- condrestart directive and initscript fixage/movage

* Sun Jun  4 2000 Jeff Johnson <jbj@redhat.com>
- build with rpm FHS macros.
- remove bogus dependence on libdb.so.3.

* Thu Feb 17 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Update to 3.5.11 (this fixes bug #483 and probably #7811)
- Get rid of CC=egcs (Bug #5929)
- handle RPM_OPT_FLAGS
- fix typo in specfile (Consortium_Agreement, not _Agreeemnt)

* Wed Feb  9 2000 Jeff Johnson <jbj@redhat.com>
- init script marked config.

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Thu Apr 08 1999 Preston Brown <pbrown@redhat.com>
- sample config script and init script are world readable

* Wed Mar 31 1999 Jeff Johnson <jbj@redhat.com>
- kernel-2.2 changed /proc/net/route (#1894)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Tue Dec 15 1998 Jeff Johnson <jbj@redhat.com>
- use /var/gated for generated files to avoid d-o-s attacks.

* Mon Dec  7 1998 Jeff Johnson <jbj@redhat.com>
- merge in patches from Matthew Grant <grantma@anathoth.gen.nz> (#6)

* Sun Dec  6 1998 Jeff Johnson <jbj@redhat.com>
- fix init script (#35).

* Thu Sep 03 1998 Cristian Gafton <gafton@redhat.com>
- version 3.5.10

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 3.5.9

* Thu Jan  8 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 3.5.8
- added glibc patch to aid glibc's brain-dead define of IFF_ constants 
  as enums instead of #defines
- we install now gated.conf.sample instead of gated.conf, so gated won't be
  started accidentaly anymore

* Tue Oct 27 1997 Cristian Gafton <gafton@redhat.com>
- build against glibc; added BuildRoot
